// ID:编号, StartRank:开始排名, EndRank:结束排名, ItemID:奖励道具, ItemCount:奖励数量

export default class M_ActivityKingCraftRank {
  private static data =
      {"1":{"ID":1,"StartRank":1,"EndRank":1,"ItemID":[1,94],"ItemCount":[100000000,50]}

      ,"2":{"ID":2,"StartRank":2,"EndRank":2,"ItemID":[1,94],"ItemCount":[40000000,30]}

      ,"3":{"ID":3,"StartRank":3,"EndRank":3,"ItemID":[1,94],"ItemCount":[20000000,10]}

      ,"4":{"ID":4,"StartRank":4,"EndRank":5,"ItemID":[1,26],"ItemCount":[10000000,5]}

      ,"5":{"ID":5,"StartRank":6,"EndRank":10,"ItemID":[1,26],"ItemCount":[5000000,3]}

      ,"6":{"ID":6,"StartRank":11,"EndRank":20,"ItemID":[1],"ItemCount":[2000000]}

      ,"7":{"ID":7,"StartRank":21,"EndRank":50,"ItemID":[1],"ItemCount":[1000000]}

      }// ID:编号, StartRank:开始排名, EndRank:结束排名, ItemID:奖励道具, ItemCount:奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}